GuideLab API

Get today's hourly breakdown

Returns hourly order or revenue data for a given day (defaults to today). Includes cumulative totals and end-of-day projection. Lab-only endpoint.

GET
/dashboard/today

Returns hourly order or revenue data for a given day (defaults to today). Includes cumulative totals and end-of-day projection. Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/dashboard/today"
{  "date": "string",  "metric": "orders",  "currency": "GBP",  "dataPoints": [    {      "hour": 0,      "value": 0,      "cumulative": 0,      "valueExact": "1234.56",      "cumulativeExact": "1234.56"    }  ],  "currencySeries": [    {      "currency": "GBP",      "dataPoints": [        {          "hour": 0,          "valueExact": "1234.56",          "cumulativeExact": "1234.56"        }      ],      "summary": {        "currentValueExact": "1234.56",        "currentTime": "string",        "projectedEndOfDayExact": "1234.56"      }    }  ],  "summary": {    "currentValue": 0,    "currentValueExact": "1234.56",    "currentTime": "string",    "projectedEndOfDay": 0,    "projectedEndOfDayExact": "1234.56"  }}
Empty